Subject: Re: bnxt_en: suspicious RCU usage in bnxt_fw_reset_task() qdisc path in 7.1-rc6

From: Jakub Kicinski <[email-masked]>
Date: Wed, 3 Jun 2026 10:34:19 -0700

On Wed, 3 Jun 2026 04:43:01 -0700 Breno Leitao wrote:
> On Tue, Jun 02, 2026 at 10:54:51AM -0700, Jakub Kicinski wrote:
> > On Tue, 2 Jun 2026 08:33:31 -0700 Breno Leitao wrote:  
> > > This looks like a regression from:
> > > 
> > >   850d9248d2ea ("Revert "bnxt_en: bring back rtnl_lock() in the
> > >                   bnxt_open() path"")
> > > 
> > > That revert dropped rtnl_lock() from the bnxt_open() paths and left
> > > bnxt_fw_reset_task() holding only the instance lock around bnxt_open().
> > > 
> > > I can send a patch restoring rtnl_lock() around the bnxt_open() call in
> > > bnxt_fw_reset_task() (re-taking rtnl before the instance lock, matching the
> > > pre-revert code), but I wanted to report it first to make sure I am in the
> > > right direction.  
> > 
> > Yes, we need to revert the revert. Per my recent ethtool locking series
> > netif_set_num_tx_queues needs rtnl_lock for now.  
> 
> Ack and thanks for the direction. Do you want me to do it, or, is it
> someone is already taking care of?

I'll send it out and CC y'all. Stan points out that full revert may not
be necessary..